version: '3.3'
services:
  mysql:
    image: mysql
    restart: always
    environment:
      - MYSQL_DATABASE=assignment
      - MYSQL_ROOT_PASSWORD=P@ssw0rd
      - MYSQL_USER=user
      - MYSQL_PASSWORD=password
    ports:
      - '3306:3306'
    expose:
      - '3306'
  app:
    build:
      context: ./
      dockerfile: Dockerfile
    depends_on:
      - mysql
    ports:
      - '8090:8090'
    environment:
      - DATABASE_PORT=3306 

